# Setup the CLI

## Linux

To get Akamas CLI installed on Linux, run the following commands:

```bash
curl -o akamas_cli -O https://s3.us-east-2.amazonaws.com/akamas/cli/$(curl https://s3.us-east-2.amazonaws.com/akamas/cli/stable.txt)/linux_64/akamas
sudo mv akamas_cli /usr/local/bin/akamas
chmod 755 /usr/local/bin/akamas
```

You can now run the Akamas CLI following by running the `akamas` command.

In some installations, the `/usr/local/bin` folder is not present in the `PATH` environment variable. This prevents you from using akamas without specifying the complete file location. To fix this issue you can add an entry to the `PATH` system environment variable or move the executable to another folder in your `PATH`.

#### Auto-completion <a href="#installingakamascommand-lineinterface-cli-auto-completion" id="installingakamascommand-lineinterface-cli-auto-completion"></a>

To enable auto-completion on Linux systems with a bash shell (requires bash 4.4+), run the following commands:

```bash
curl -O https://s3.us-east-2.amazonaws.com/akamas/cli/$(curl https://s3.us-east-2.amazonaws.com/akamas/cli/stable.txt)/linux_64/akamas_autocomplete.sh
mkdir -p ~/.akamas
mv akamas_autocomplete.sh ~/.akamas
echo '. ~/.akamas/akamas_autocomplete.sh' >> ~/.bashrc
source ~/.bashrc
```

## Windows

To install the Akamas CLI on Windows run the following command from the Powershell:

```powershell
Invoke-WebRequest "https://s3.us-east-2.amazonaws.com/akamas/cli/$($(Invoke-WebRequest https://s3.us-east-2.amazonaws.com/akamas/cli/stable.txt | Select-Object -Expand Content) -replace '\n', '')/win_64/akamas.exe" -OutFile akamas.exe
```

You can now run the Akamas CLI following by running `.\akamas` in the same folder.

To invoke the `akamas` CLI from any folder, create a `akamas` folder (such as `C:\Program Files\akamas`), and move there the `akamas.exe` file. Then, add an entry to the `PATH` system environment variable with the value `C:\Program Files\akamas`. Now, you can invoke the CLI from any folder, by simply running the `akamas` command.

The Akamas CLI can be accessed by simply running the `akamas`command.

## Verify the CLI

You can verify that the CLI was installed correctly by running this command:

```bash
akamas --version
```

which should show an output similar to this one

```
Akamas CLI, version 2.7.2
```

At any time, you can see available commands and options with:

```bash
akamas --help
```

For the full list of Akamas commands please refer to the section [CLI reference](https://docs.akamas.io/akamas-docs/3.2.0/akamas-reference/cli-reference).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.2.0/installing-akamas/install-the-akamas-cli/setup-the-akamas-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
